Index: src/edu/ucsb/nceas/metacat/service/SkinPropertyService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/service/SkinPropertyService.java	(revision 4761)
+++ src/edu/ucsb/nceas/metacat/service/SkinPropertyService.java	(revision 4762)
@@ -32,7 +32,7 @@
 import java.util.Set;
 import java.util.Vector;
 
-import javax.servlet.ServletContext;
+
 import javax.servlet.http.HttpServletRequest;
 import javax.xml.transform.TransformerException;
 
@@ -39,7 +39,6 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.util.SkinUtil;
-import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.metacat.util.UtilException;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
@@ -51,26 +50,26 @@
  * A suite of utility classes for the skin configuration utility
  */
 public class SkinPropertyService extends BaseService {
-	
+
 	private static SkinPropertyService skinService = null;
-	
+
 	private static boolean bypassAlreadyChecked = false;
-	
-	private static String SKIN_DIR = null;
+
 	private static String BACKUP_DIR = null;
-	
+
 	private static Vector<String> skinNames = null;
-	
-	private static HashMap<String, SortedProperties> skinPropertiesMap = null;	
+
+	private static HashMap<String, SortedProperties> skinPropertiesMap = null;
 	private static HashMap<String, SortedProperties> skinBackupPropertiesMap = null;
 	private static HashMap<String, PropertiesMetaData> skinMetaDataMap = null;
-	
+
 	private static Logger logMetacat = Logger.getLogger(SkinPropertyService.class);
 
 	/**
 	 * private constructor since this is a singleton
 	 * 
-	 * @param servletContext the context we will use to get relative paths
+	 * @param servletContext
+	 *            the context we will use to get relative paths
 	 */
 	private SkinPropertyService() throws ServiceException {
 		try {
@@ -84,11 +83,12 @@
 					+ ioe.getMessage());
 		}
 	}
-	
+
 	/**
 	 * Get the single instance of SkinPropertyService.
 	 * 
-	 * @param servletContext the context we will use to get relative paths
+	 * @param servletContext
+	 *            the context we will use to get relative paths
 	 * @return the single instance of SkinPropertyService
 	 */
 	public static SkinPropertyService getInstance() throws ServiceException {
@@ -97,11 +97,11 @@
 		}
 		return skinService;
 	}
-	
+
 	public boolean refreshable() {
 		return true;
 	}
-	
+
 	protected void doRefresh() throws ServiceException {
 		try {
 			initialize();
@@ -113,7 +113,7 @@
 					+ " property error: " + gpe.getMessage());
 		}
 	}
-	
+
 	/**
 	 * Initialize the singleton.
 	 * 
@@ -120,12 +120,13 @@
 	 * @param servletContext
 	 *            the context we will use to get relative paths
 	 */
-	private void initialize() throws IOException,
-			GeneralPropertyException, ServiceException {
+	private void initialize() throws IOException, GeneralPropertyException,
+			ServiceException {
 
 		logMetacat.debug("Initializing SkinService");
 
-		BACKUP_DIR = PropertyService.getProperty("application.backupDir") + FileUtil.getFS() + ".metacat";
+		BACKUP_DIR = PropertyService.getProperty("application.backupDir")
+				+ FileUtil.getFS() + ".metacat";
 
 		skinNames = SkinUtil.getSkinNames();
 
@@ -138,6 +139,13 @@
 				String propertyFilePath = ServiceService.getRealSkinDir()
 						+ FileUtil.getFS() + skinName + FileUtil.getFS() + skinName
 						+ ".properties";
+
+				if (FileUtil.getFileStatus(propertyFilePath) < FileUtil.EXISTS_READ_WRITABLE) {
+					logMetacat.error("Skin property file: " + propertyFilePath
+							+ " does not exist read/writable");
+					continue;
+				}
+
 				SortedProperties skinProperties = new SortedProperties(propertyFilePath);
 				skinProperties.load();
 				skinPropertiesMap.put(skinName, skinProperties);
@@ -146,22 +154,26 @@
 						+ FileUtil.getFS() + skinName + FileUtil.getFS() + skinName
 						+ ".properties.metadata.xml";
 				if (FileUtil.getFileStatus(metaDataFilePath) == FileUtil.DOES_NOT_EXIST) {
-					throw new GeneralPropertyException("Could not find skin property metadata file: " + metaDataFilePath);
+					throw new GeneralPropertyException(
+							"Could not find skin property metadata file: "
+									+ metaDataFilePath);
 				} else {
-					PropertiesMetaData skinMetaData = new PropertiesMetaData(metaDataFilePath);
+					PropertiesMetaData skinMetaData = new PropertiesMetaData(
+							metaDataFilePath);
 					skinMetaDataMap.put(skinName, skinMetaData);
-				} 
+				}
 
-				String backupPropertyFilePath = 
-					BACKUP_DIR + FileUtil.getFS() + skinName + ".properties.backup";
+				String backupPropertyFilePath = BACKUP_DIR + FileUtil.getFS() + skinName
+						+ ".properties.backup";
 				if (FileUtil.getFileStatus(backupPropertyFilePath) > FileUtil.DOES_NOT_EXIST) {
-					SortedProperties skinBackupProperties = 
-						new SortedProperties(backupPropertyFilePath);
+					SortedProperties skinBackupProperties = new SortedProperties(
+							backupPropertyFilePath);
 					skinBackupProperties.load();
 					skinBackupPropertiesMap.put(skinName, skinBackupProperties);
 				} else {
-					logMetacat.info("Could not find backup properties for skin: " + skinName
-							+ ". Backup file does not exist: " + backupPropertyFilePath);
+					logMetacat.info("Could not find backup properties for skin: "
+							+ skinName + ". Backup file does not exist: "
+							+ backupPropertyFilePath);
 				}
 			}
 		} catch (TransformerException te) {
@@ -170,10 +182,11 @@
 	}
 
 	/**
-	 * Utility method to get a property value from the properties file for
-	 * a specific skin.
+	 * Utility method to get a property value from the properties file for a
+	 * specific skin.
 	 * 
-	 * @param skinName the skin for which we want to retrieve the property
+	 * @param skinName
+	 *            the skin for which we want to retrieve the property
 	 * @param propertyName
 	 *            the name of the property requested
 	 * @return the String value for the property
@@ -182,26 +195,28 @@
 			throws PropertyNotFoundException {
 		SortedProperties skinProperties = skinPropertiesMap.get(skinName);
 		if (skinProperties == null) {
-			throw new PropertyNotFoundException("There is not property map for " + skinName);
+			throw new PropertyNotFoundException("There is not property map for "
+					+ skinName);
 		}
 		return skinProperties.getProperty(propertyName);
 	}
-	
+
 	/**
-     * Get a set of all property names for a given skin.
-     * 
-     * @param skinName the skin for which we want to retrieve the property
-     * names
-     * @return Set of property names  
-     */
-    public static Vector<String> getPropertyNames(String skinName) throws PropertyNotFoundException {   
+	 * Get a set of all property names for a given skin.
+	 * 
+	 * @param skinName
+	 *            the skin for which we want to retrieve the property names
+	 * @return Set of property names
+	 */
+	public static Vector<String> getPropertyNames(String skinName)
+			throws PropertyNotFoundException {
 		SortedProperties skinProperties = skinPropertiesMap.get(skinName);
 		if (skinProperties == null) {
-			throw new PropertyNotFoundException("There is not property map for " + skinName);
+			throw new PropertyNotFoundException("There is not property map for "
+					+ skinName);
 		}
-    	return skinProperties.getPropertyNames();
-    }
-    
+		return skinProperties.getPropertyNames();
+	}
 
 	/**
 	 * Get a Set of all property names that start with the groupName prefix.
@@ -210,19 +225,21 @@
 	 *            the prefix of the keys to search for.
 	 * @return Vector of property names
 	 */
-    public static Vector<String> getPropertyNamesByGroup(String skinName, String groupName) throws PropertyNotFoundException {  
+	public static Vector<String> getPropertyNamesByGroup(String skinName, String groupName)
+			throws PropertyNotFoundException {
 		SortedProperties skinProperties = skinPropertiesMap.get(skinName);
 		if (skinProperties == null) {
-			throw new PropertyNotFoundException("There is not property map for " + skinName);
+			throw new PropertyNotFoundException("There is not property map for "
+					+ skinName);
 		}
-    	return skinProperties.getPropertyNamesByGroup(groupName);
-    }
-    
+		return skinProperties.getPropertyNamesByGroup(groupName);
+	}
+
 	/**
-	 * Get the main backup properties file. These are configurable properties that
-	 * are stored outside the metacat install directories so the user does not
-	 * need to re-enter all the configuration information every time they do an
-	 * upgrade.
+	 * Get the main backup properties file. These are configurable properties
+	 * that are stored outside the metacat install directories so the user does
+	 * not need to re-enter all the configuration information every time they do
+	 * an upgrade.
 	 * 
 	 * @return a SortedProperties object with the backup properties
 	 */
@@ -229,12 +246,12 @@
 	public static HashMap<String, SortedProperties> getProperties() {
 		return skinPropertiesMap;
 	}
-    
+
 	/**
-	 * Get the main backup properties file. These are configurable properties that
-	 * are stored outside the metacat install directories so the user does not
-	 * need to re-enter all the configuration information every time they do an
-	 * upgrade.
+	 * Get the main backup properties file. These are configurable properties
+	 * that are stored outside the metacat install directories so the user does
+	 * not need to re-enter all the configuration information every time they do
+	 * an upgrade.
 	 * 
 	 * @return a SortedProperties object with the backup properties
 	 */
@@ -243,10 +260,10 @@
 	}
 
 	/**
-	 * Get the main backup properties file. These are configurable properties that
-	 * are stored outside the metacat install directories so the user does not
-	 * need to re-enter all the configuration information every time they do an
-	 * upgrade.
+	 * Get the main backup properties file. These are configurable properties
+	 * that are stored outside the metacat install directories so the user does
+	 * not need to re-enter all the configuration information every time they do
+	 * an upgrade.
 	 * 
 	 * @return a SortedProperties object with the backup properties
 	 */
@@ -253,12 +270,12 @@
 	public static HashMap<String, SortedProperties> getBackupProperties() {
 		return skinBackupPropertiesMap;
 	}
-	
+
 	/**
-	 * Get the main backup properties file. These are configurable properties that
-	 * are stored outside the metacat install directories so the user does not
-	 * need to re-enter all the configuration information every time they do an
-	 * upgrade.
+	 * Get the main backup properties file. These are configurable properties
+	 * that are stored outside the metacat install directories so the user does
+	 * not need to re-enter all the configuration information every time they do
+	 * an upgrade.
 	 * 
 	 * @return a SortedProperties object with the backup properties
 	 */
@@ -265,7 +282,7 @@
 	public static SortedProperties getBackupProperties(String skinName) {
 		return skinBackupPropertiesMap.get(skinName);
 	}
-	
+
 	/**
 	 * Get the main properties metadata. This is retrieved from an xml file that
 	 * describes the attributes of configurable properties.
@@ -275,7 +292,7 @@
 	public static HashMap<String, PropertiesMetaData> getMetaData() {
 		return skinMetaDataMap;
 	}
-	
+
 	/**
 	 * Get the main properties metadata. This is retrieved from an xml file that
 	 * describes the attributes of configurable properties.
@@ -295,10 +312,12 @@
 	 * @param newValue
 	 *            the new value for the property
 	 */
-	public static void setProperty(String skinName, String propertyName, String newValue) throws IOException, GeneralPropertyException {
+	public static void setProperty(String skinName, String propertyName, String newValue)
+			throws IOException, GeneralPropertyException {
 		SortedProperties skinProperties = skinPropertiesMap.get(skinName);
 		if (skinProperties == null) {
-			throw new GeneralPropertyException("There is not property map for " + skinName);
+			throw new GeneralPropertyException("There is not property map for "
+					+ skinName);
 		}
 		skinProperties.setProperty(propertyName, newValue);
 		skinProperties.store();
@@ -317,22 +336,26 @@
 	 * @param newValue
 	 *            the new value for the property
 	 */
-	public static void setPropertyNoPersist(String skinName, String propertyName, String newValue) throws GeneralPropertyException {
+	public static void setPropertyNoPersist(String skinName, String propertyName,
+			String newValue) throws GeneralPropertyException {
 		SortedProperties skinProperties = skinPropertiesMap.get(skinName);
 		if (skinProperties == null) {
-			throw new GeneralPropertyException("There is not property map for " + skinName);
+			throw new GeneralPropertyException("There is not property map for "
+					+ skinName);
 		}
 		skinProperties.setPropertyNoPersist(propertyName, newValue);
 	}
 
 	/**
-	 * Save the properties to a properties file. Note, the 
-	 * order and comments will be preserved.
+	 * Save the properties to a properties file. Note, the order and comments
+	 * will be preserved.
 	 */
-	public static void persistProperties(String skinName) throws IOException, GeneralPropertyException {
+	public static void persistProperties(String skinName) throws IOException,
+			GeneralPropertyException {
 		SortedProperties skinProperties = skinPropertiesMap.get(skinName);
 		if (skinProperties == null) {
-			throw new GeneralPropertyException("There is not property map for " + skinName);
+			throw new GeneralPropertyException("There is not property map for "
+					+ skinName);
 		}
 		skinProperties.store();
 	}
@@ -347,11 +370,12 @@
 			persistProperties(skinName);
 		}
 	}
-	
+
 	/**
 	 * Writes out backup configurable properties to a file.
 	 */
-	public static void persistBackupProperties(String skinName) throws GeneralPropertyException {
+	public static void persistBackupProperties(String skinName)
+			throws GeneralPropertyException {
 		try {
 			String metaDataFilePath = ServiceService.getRealSkinDir() + FileUtil.getFS()
 					+ skinName + FileUtil.getFS() + skinName + ".properties.metadata.xml";
@@ -361,32 +385,33 @@
 
 			// Use the metadata to extract configurable properties from the
 			// overall properties list, and store those properties.
-			SortedProperties backupProperties = 
-				new SortedProperties(backupPropertyFilePath);
-			
+			SortedProperties backupProperties = new SortedProperties(
+					backupPropertyFilePath);
+
 			// Populate the backup properties for main metacat properties using
 			// the associated metadata file
 			PropertiesMetaData mainMetadata = new PropertiesMetaData(metaDataFilePath);
 			Set<String> mainKeySet = mainMetadata.getKeys();
 			for (String propertyKey : mainKeySet) {
-				backupProperties.addProperty(propertyKey, getProperty(skinName, propertyKey));
+				backupProperties.addProperty(propertyKey, getProperty(skinName,
+						propertyKey));
 			}
-			
+
 			// store the properties to file
 			backupProperties.store();
 
 		} catch (TransformerException te) {
-			throw new GeneralPropertyException("Could not transform backup properties xml: "
-					+ te.getMessage());
+			throw new GeneralPropertyException(
+					"Could not transform backup properties xml: " + te.getMessage());
 		} catch (IOException ioe) {
-			throw new GeneralPropertyException("Could not backup configurable properties: "
-					+ ioe.getMessage());
+			throw new GeneralPropertyException(
+					"Could not backup configurable properties: " + ioe.getMessage());
 		} catch (ServiceException se) {
 			throw new GeneralPropertyException("Could not get skins property file: "
 					+ se.getMessage());
 		}
 	}
-	
+
 	/**
 	 * Reports whether properties are fully configured.
 	 * 
@@ -402,11 +427,11 @@
 					+ pnfe.getMessage());
 		}
 	}
-	
+
 	/**
-	 * Take input from the user in an HTTP request about an property to be changed
-	 * and update the metacat property file with that new value if it has
-	 * changed from the value that was originally set.
+	 * Take input from the user in an HTTP request about an property to be
+	 * changed and update the metacat property file with that new value if it
+	 * has changed from the value that was originally set.
 	 * 
 	 * @param request
 	 *            that was generated by the user
@@ -415,16 +440,16 @@
 	 * @param propertyName
 	 *            the name of the property to be checked and set
 	 */
-	public static void checkAndSetProperty(HttpServletRequest request, String skinName, String propertyName) 
-			throws GeneralPropertyException {
+	public static void checkAndSetProperty(HttpServletRequest request, String skinName,
+			String propertyName) throws GeneralPropertyException {
 		String newValue = request.getParameter(skinName + "." + propertyName);
-		checkAndSetProperty(newValue, skinName, propertyName); 
+		checkAndSetProperty(newValue, skinName, propertyName);
 	}
-	
+
 	/**
-	 * Check user input against existing value
-	 * and update the metacat property file with that new value if it has
-	 * changed from the value that was originally set.
+	 * Check user input against existing value and update the metacat property
+	 * file with that new value if it has changed from the value that was
+	 * originally set.
 	 * 
 	 * @param newValue
 	 *            the value that was returned by the form
@@ -433,40 +458,39 @@
 	 * @param propertyName
 	 *            the name of the property to be checked and set
 	 */
-	public static void checkAndSetProperty(String newValue, String skinName, String propertyName) 
-			throws GeneralPropertyException {
+	public static void checkAndSetProperty(String newValue, String skinName,
+			String propertyName) throws GeneralPropertyException {
 		String oldValue = SkinPropertyService.getProperty(skinName, propertyName);
 		if (newValue != null && !newValue.equals(oldValue)) {
 			SkinPropertyService.setPropertyNoPersist(skinName, propertyName, newValue);
 		}
 	}
-	
+
 	/**
-	 * Reports whether the metacat configuration utility should be run.  
-	 * Returns false if  
-	 *   -- dev.runConfiguration=false and
-	 *   -- backup properties file exists
-	 * Note that dev.runConfiguration should only be set to false when
+	 * Reports whether the metacat configuration utility should be run. Returns
+	 * false if -- dev.runConfiguration=false and -- backup properties file
+	 * exists Note that dev.runConfiguration should only be set to false when
 	 * reinstalling the same version of the application in developement.
 	 * 
-	 * @return a boolean that is false if dev.runConfiguration is false and 
-	 * the backup properties file exists.  
+	 * @return a boolean that is false if dev.runConfiguration is false and the
+	 *         backup properties file exists.
 	 */
 	public static boolean bypassConfiguration() {
 		boolean bypass = false;
-		
+
 		// We only want to go through the check once to see if we want to
-		// bypass the configuration.  We don't want to run through all of
-		// this every time  we hit metacat. 
+		// bypass the configuration. We don't want to run through all of
+		// this every time we hit metacat.
 		if (bypassAlreadyChecked) {
 			return bypass;
 		}
-		
-		try {		
+
+		try {
 			// check how dev.runConfiguration is set in metacat.properties
-			String strRunConfiguration = PropertyService.getProperty("dev.runConfiguration");
+			String strRunConfiguration = PropertyService
+					.getProperty("dev.runConfiguration");
 			bypass = !(Boolean.parseBoolean(strRunConfiguration));
-			
+
 			// if the deb.runConfiguration is true, return false here.
 			if (!bypass) {
 				bypassAlreadyChecked = true;
@@ -475,11 +499,10 @@
 
 			// the system is bypassing the configuration utility. We need to
 			// get the backup properties and replace existing properties with
-			// backup values.  We do this for main and org properties.
+			// backup values. We do this for main and org properties.
 			for (String skinName : skinNames) {
 				SortedProperties backupProperties = getBackupProperties(skinName);
-				Vector<String> backupPropertyNames = 
-					backupProperties.getPropertyNames();
+				Vector<String> backupPropertyNames = backupProperties.getPropertyNames();
 				for (String backupPropertyName : backupPropertyNames) {
 					String value = backupProperties.getProperty(backupPropertyName);
 					backupProperties.setPropertyNoPersist(backupPropertyName, value);
Index: src/edu/ucsb/nceas/metacat/admin/SkinsAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/SkinsAdmin.java	(revision 4761)
+++ src/edu/ucsb/nceas/metacat/admin/SkinsAdmin.java	(revision 4762)
@@ -100,7 +100,6 @@
 					PropertyService.getProperty("application.default-style");
 
 				request.setAttribute("defaultStyle", defaultStyle);
-				request.setAttribute("skinNameList", skinNames);
 				
 				// add skin metadata to the request.  The configuration form
 				// will use this data to determine what the configuration 
@@ -117,6 +116,10 @@
 					new HashMap<String, HashMap<String, String>>();
 				HashMap<String, SortedProperties> backupPropertiesMap = 
 					SkinPropertyService.getBackupProperties();
+				
+				// Just in case a skin is not configured correctly, we will want to remove 
+				// it from the skins list
+				Vector<String> removeSkins = new Vector<String>();
 					
 				for (String skinName : skinNames) {
 					// first, get a deep copy of this skin's properties
@@ -123,8 +126,9 @@
 
 					SortedProperties skinProperties = originalPropertyMap.get(skinName);
 					if (skinProperties == null) {
-						throw new GeneralPropertyException("Could not find properties " 
-								+ "for skin: " + skinName);
+						logMetacat.error("Could not find properties for skin: " + skinName);
+						removeSkins.add(skinName);
+						continue;
 					}
 
 					HashMap<String, String> originalSkinProperties = 
@@ -147,7 +151,15 @@
 					}
 								
 					localPropertyMap.put(skinName, localSkinProperties);					
-				}				
+				}	
+				
+				// If there are any skins for which we could not get properties, remove them from 
+				// the skins list we will send to the configuration page.
+				for (String skinName : removeSkins) {
+					skinNames.remove(skinName);
+				}
+				
+				request.setAttribute("skinNameList", skinNames);
 				request.setAttribute("skinProperties", localPropertyMap);
 				
 				// Forward the request to the JSP page
@@ -182,6 +194,12 @@
 				for (String skinName : skinNames) {
 					PropertiesMetaData skinMetaData = 
 						SkinPropertyService.getMetaData(skinName);
+					
+					if (skinMetaData == null) {
+						logMetacat.error("Could not find metadata for skin: " + skinName);
+						continue;
+					}
+					
 					Set<String> metaDataKeySet = skinMetaData.getKeys();
 					for (String metaDataKey : metaDataKeySet) {
 						MetaDataProperty metaDataProperty = 
Index: src/edu/ucsb/nceas/metacat/admin/MetaCatAdminServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/MetaCatAdminServlet.java	(revision 4761)
+++ src/edu/ucsb/nceas/metacat/admin/MetaCatAdminServlet.java	(revision 4762)
@@ -40,8 +40,6 @@
 
 import edu.ucsb.nceas.metacat.MetaCatServlet;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
-import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.service.SessionService;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
@@ -106,23 +104,13 @@
 			}
 			
 			if (!MetacatUtil.isBackupDirConfigured()) {
-				String discoveredBackupDir = SystemUtil.discoverExternalBaseDir();
-				if (discoveredBackupDir == null) {
-					// if the backup dir has not been configured, and the system 
-					// cannot find a suitable directory, then show the backup 
-					// directory configuration screen.
-					processingMessage.add("You must configure the backup directory"
-							+ " before you can continue with Metacat configuration.");
-					RequestUtil.setRequestMessage(request, processingMessage);
-					action = "backup";
-					logMetacat.debug("Admin action changed to 'backup'");
-				} else {
-					// if the backup dir has not been configured, and the system 
-					// can find a suitable directory, then set the application.backupDir 
-					// property to the discovered value
-					PropertyService.setProperty("application.backupDir", discoveredBackupDir);
-					ServiceService.refreshService("PropertyService");
-				}
+				// if the backup dir has not been configured, then show the
+				// backup directory configuration screen.
+				processingMessage.add("You must configure the backup directory"
+						+ " before you can continue with Metacat configuration.");
+				RequestUtil.setRequestMessage(request, processingMessage);
+				action = "backup";
+				logMetacat.debug("Admin action changed to 'backup'");
 			} else if (!AuthUtil.isAuthConfigured()) {
 				// if authentication isn't configured, change the action to auth.  
 				// Authentication needs to be set up before we do anything else
@@ -210,11 +198,6 @@
 				"Utility problem while handling request: " + ue.getMessage();
 			logMetacat.error(errorMessage);
 			processingErrors.add(errorMessage);
-		} catch (ServiceException se) {
-			String errorMessage = 
-				"Utility problem while handling request: " + se.getMessage();
-			logMetacat.error(errorMessage);
-			processingErrors.add(errorMessage);
 		}
 		
 		if (processingErrors.size() > 0) {