Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 4796)
+++ src/loaddtdschema-oracle.sql	(revision 4797)
@@ -47,6 +47,8 @@
   VALUES ('Schema', 'metadata', '/schema/fgdc-std-001/fgdc-std-001-1998.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '@eml2_1_0namespace@', '/schema/eml-2.1.0/eml.xsd');
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
   VALUES ('1.9.0',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9-postgres.sql
===================================================================
--- src/upgrade-db-to-1.9-postgres.sql	(revision 4796)
+++ src/upgrade-db-to-1.9-postgres.sql	(revision 4797)
@@ -15,3 +15,6 @@
 
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '@eml2_1_0namespace@', '/schema/eml-2.1.0/eml.xsd');
+  
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 4796)
+++ src/loaddtdschema-postgres.sql	(revision 4797)
@@ -45,8 +45,10 @@
   VALUES ('Schema', '@stmmlnamespace@', '/schema/eml-2.0.1/stmml.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', 'metadata', '/schema/fgdc-std-001/fgdc-std-001-1998.xsd');
-  INSERT INTO xml_catalog (entry_type, public_id, system_id)
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '@eml2_1_0namespace@', '/schema/eml-2.1.0/eml.xsd');
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
   VALUES ('1.9.0',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9-oracle.sql
===================================================================
--- src/upgrade-db-to-1.9-oracle.sql	(revision 4796)
+++ src/upgrade-db-to-1.9-oracle.sql	(revision 4797)
@@ -20,7 +20,10 @@
 /
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.8.0', 1, CURRENT_DATE);
+  VALUES ('1.9.0', 1, CURRENT_DATE);
 
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('Schema', '@eml2_1_0namespace@', '/schema/eml-2.1.0/eml.xsd');
+  
+INSERT INTO xml_catalog (entry_type, public_id, system_id)
+  VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd');
Index: build.xml
===================================================================
--- build.xml	(revision 4796)
+++ build.xml	(revision 4797)
@@ -139,7 +139,8 @@
       <filter token="adminname"            value="${adminname}"/>
       <filter token="recipient"            value="${recipient}"/>
    	  <filter token="metacatVersion"       value="${metacat.version}"/>
- 	  <filter token="metacatRC"       value="${metacat.releaseCandidate}"/>
+ 	  <filter token="metacatRC"            value="${metacat.releaseCandidate}"/>
+ 	  <filter token="build.context"        value="${metacat.context}"/>
 
       <filter token="docrooturl"           value="./" />
       <filter token="mcuser"               value="${mcuser}"/>
@@ -579,7 +580,7 @@
    	            description="Build Metacat">
    </target>
 	
-   <target name="install-ecogrid" depends="war, get-ecogrid" if="enable.ecogrid"
+   <target name="install-ecogrid" depends="warPrepare, get-ecogrid" if="enable.ecogrid"
 			    description="Install Ecogrid Compentent">
    	  <ant antfile="build.xml" dir="${ecogrid-dir}" target ="clean" inheritall="false">
    	         <property name="context" value="${metacat.context}"/>
@@ -591,11 +592,11 @@
    	     <property name="target" value="${ecogrid-target-name}"/>
    	     <!-- property name="metacat.dir" value="."/ -->
    	  </ant>
-   	  <war destfile="${ecogrid-dir}/build/${metacat.context}.war" update="true">
+   	  <!-- war destfile="${ecogrid-dir}/build/${metacat.context}.war" update="true">
   	      <webinf dir="${ecogrid-dir}/lib">
    	        <include name="server-config.wsdd"/>
    	      </webinf>
-   	  </war>
+   	  </war -->
    	  <copy file="${ecogrid-dir}/build/${metacat.context}.war" todir="${dist.dir}" overwrite="true"/>
    	  
    
@@ -1136,7 +1137,7 @@
 	  </copy>
   </target>
 
-	<target name="distbin" depends="build-metacat,war-lsid,war" description="prepares a binary distribution">
+	<target name="distbin" depends="build-metacat,war-lsid" description="prepares a binary distribution">
 		<copy todir="${dist.dir}">
 			<fileset dir="./src/scripts"  />
 		</copy>	