Index: test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 4816)
@@ -94,11 +94,8 @@
     {
   	  try
   	  {
-//		  PropertyService.getInstance("build/tests");
 		  PropertyService.getInstance();
-  		  MetacatUtil.pathsForIndexing 
-  		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
-  	  }
+ 	  }
   	  catch(Exception e)
   	  {
   		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
Index: test/edu/ucsb/nceas/metacattest/SubTreeTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4816)
@@ -52,8 +52,7 @@
   {
 	  try
 	  {
-		  MetacatUtil.pathsForIndexing 
-		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  PropertyService.getInstance();
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4816)
@@ -81,10 +81,7 @@
 	  {
 		  try
 		  {
-//			  PropertyService.getInstance("build/tests");
 			  PropertyService.getInstance();
-			  MetacatUtil.pathsForIndexing 
-			         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 		  }
 		  catch(Exception e)
 		  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4816)
@@ -55,8 +55,7 @@
   {
 	  try
 	  {
-		  MetacatUtil.pathsForIndexing 
-		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  PropertyService.getInstance();
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4816)
@@ -47,8 +47,7 @@
 	/* Initialize Properties */
 	static {
 		try {
-			MetacatUtil.pathsForIndexing = MetacatUtil.getOptionList(
-					PropertyService.getProperty("xml.indexPaths"));
+			PropertyService.getInstance();
 		} catch (Exception e) {
 			System.err.println("Exception in initialize option in MetacatServletNetTest "
 					+ e.getMessage());
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4816)
@@ -54,8 +54,7 @@
   {
 	  try
 	  {
-		  MetacatUtil.pathsForIndexing 
-		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  PropertyService.getInstance();
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4816)
@@ -58,8 +58,7 @@
   {
 	  try
 	  {
-		  MetacatUtil.pathsForIndexing 
-		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  PropertyService.getInstance();
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4816)
@@ -53,8 +53,7 @@
   {
 	  try
 	  {
-		  MetacatUtil.pathsForIndexing 
-		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  PropertyService.getInstance();
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/QueryGroupTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 4816)
@@ -45,9 +45,8 @@
     {
   	  try
   	  {
-  		  MetacatUtil.pathsForIndexing 
-  		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
-  	  }
+			PropertyService.getInstance();
+ 	  }
   	  catch(Exception e)
   	  {
   		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
Index: test/edu/ucsb/nceas/metacattest/BuildIndexTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 4816)
@@ -61,6 +61,7 @@
 	private static String password;
 	static {
 		try {
+			PropertyService.getInstance();
 			metacatUrl = PropertyService.getProperty("test.metacatUrl");
 			username = PropertyService.getProperty("test.mcUser");
 			password = PropertyService.getProperty("test.mcPassword");
@@ -67,6 +68,9 @@
 		} catch (PropertyNotFoundException pnfe) {
 			System.err.println("Could not get property in static block: "
 					+ pnfe.getMessage());
+		} catch (ServiceException se) {
+			System.err.println("Service problem in static block: "
+					+ se.getMessage());
 		}
 	}
 
@@ -75,18 +79,6 @@
 	private String testfile = "test/eml-sample.xml";
 	private String testdocument = "";
 	private Metacat m;
-	/* Initialize properties */
-	static {
-		try {
-//			PropertyService.getInstance("build/tests");
-			PropertyService.getInstance();
-			MetacatUtil.pathsForIndexing = MetacatUtil.getOptionList(PropertyService
-					.getProperty("xml.indexPaths"));
-		} catch (Exception e) {
-			System.err.println("Exception in initialize option in MetacatServletNetTest "
-					+ e.getMessage());
-		}
-	}
 
 	/**
 	 * Constructor to build the test
Index: test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4815)
+++ test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4816)
@@ -49,10 +49,9 @@
 	  {
 		  try
 		  {
+			 PropertyService.getInstance();
 			 metacatReplicationURL=
                      PropertyService.getProperty("junitreplicationurl");
-			  MetacatUtil.pathsForIndexing 
-			         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 		  }
 		  catch(Exception e)
 		  {