Index: lib/style/skins/sanparks/sanparks.xml
===================================================================
--- lib/style/skins/sanparks/sanparks.xml	(revision 4840)
+++ lib/style/skins/sanparks/sanparks.xml	(revision 4841)
@@ -28,15 +28,18 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>      
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
     <!-- <target publicid="-//W3C//HTML//EN">/style/skins/sanparks/sanparks.xsl</target> -->
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <!-- <target publicid="-//W3C//HTML//EN">/style/skins/sanparks/sanparks.xsl</target> -->
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/default/default.xml
===================================================================
--- lib/style/skins/default/default.xml	(revision 4840)
+++ lib/style/skins/default/default.xml	(revision 4841)
@@ -9,17 +9,20 @@
   
 <!-- eml-2.1.0 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
 
 <!-- eml-2.0.1 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
 
 <!-- eml-2.0.0 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   
 <!-- eml-2.0.0beta6 modules -->
Index: lib/style/skins/ltss/ltss.xml
===================================================================
--- lib/style/skins/ltss/ltss.xml	(revision 4840)
+++ lib/style/skins/ltss/ltss.xml	(revision 4841)
@@ -28,13 +28,16 @@
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
 <!-- eml-2.1.0 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>      
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/first/first.xml
===================================================================
--- lib/style/skins/first/first.xml	(revision 4840)
+++ lib/style/skins/first/first.xml	(revision 4841)
@@ -32,11 +32,17 @@
 <!-- pre-beta6 modules -->
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
+  </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/obfs/obfs.xml
===================================================================
--- lib/style/skins/obfs/obfs.xml	(revision 4840)
+++ lib/style/skins/obfs/obfs.xml	(revision 4841)
@@ -27,13 +27,16 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>    
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/specnet/specnet.xml
===================================================================
--- lib/style/skins/specnet/specnet.xml	(revision 4840)
+++ lib/style/skins/specnet/specnet.xml	(revision 4841)
@@ -27,13 +27,16 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>      
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/sms/sms.xml
===================================================================
--- lib/style/skins/sms/sms.xml	(revision 4840)
+++ lib/style/skins/sms/sms.xml	(revision 4841)
@@ -30,13 +30,16 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>      
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/nrs/nrs.xml
===================================================================
--- lib/style/skins/nrs/nrs.xml	(revision 4840)
+++ lib/style/skins/nrs/nrs.xml	(revision 4841)
@@ -29,12 +29,15 @@
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target -->
   </doctype>      
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/saeon/saeon.xml
===================================================================
--- lib/style/skins/saeon/saeon.xml	(revision 4840)
+++ lib/style/skins/saeon/saeon.xml	(revision 4841)
@@ -27,15 +27,18 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>      
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
     <!-- <target publicid="-//W3C//HTML//EN">/style/skins/saeon/saeon.xsl</target> -->
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <!-- <target publicid="-//W3C//HTML//EN">/style/skins/saeon/saeon.xsl</target> -->
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/lter/lter.xml
===================================================================
--- lib/style/skins/lter/lter.xml	(revision 4840)
+++ lib/style/skins/lter/lter.xml	(revision 4841)
@@ -9,17 +9,20 @@
   
 <!-- eml-2.1.0 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype> 
 
 <!-- eml-2.0.1 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- Target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
 
 <!-- eml-2.0.0 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   
 <!-- eml-2.0.0beta6 modules -->
Index: lib/style/skins/esa/esa.xml
===================================================================
--- lib/style/skins/esa/esa.xml	(revision 4840)
+++ lib/style/skins/esa/esa.xml	(revision 4841)
@@ -24,13 +24,16 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>    
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: lib/style/skins/knb/knb.xml
===================================================================
--- lib/style/skins/knb/knb.xml	(revision 4840)
+++ lib/style/skins/knb/knb.xml	(revision 4841)
@@ -26,13 +26,16 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.1.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.1.0/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target>
+    <!-- target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.1/eml.xsl</target -->
+    <target publicid="-//W3C//HTML//EN">/style/common/eml-2/eml.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
     <target publicid="-//W3C//HTML//EN">/style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
Index: src/edu/ucsb/nceas/metacat/DocumentIdQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 4840)
+++ src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 4841)
@@ -87,6 +87,7 @@
 		String[] doctypes = new String[5];
 		doctypes[0] = "eml://ecoinformatics.org/eml-2.0.1";
 		doctypes[1] = "eml://ecoinformatics.org/eml-2.0.0";
+		doctypes[1] = "eml://ecoinformatics.org/eml-2.1.0";
 		doctypes[2] = "-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN";
 		doctypes[3] = "-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN";
 		doctypes[4] = "metadata";
Index: build.xml
===================================================================
--- build.xml	(revision 4840)
+++ build.xml	(revision 4841)
@@ -103,12 +103,11 @@
    	  <property name="utilities-tag"       value="UTILITIES_1_0_0" />
       <property name="eml-module"          value="eml" />
       <property name="eml-version"         value="2.0.0beta6" />
-      <property name="eml-tag"             value="EML_2_0_0_BETA_6_FOR_METACAT" />
-      <property name="eml2_0_0-tag"        value="RELEASE_EML_2_0_0_UPDATE_1" />
+      <property name="eml-beta-tag"        value="BRANCH_EML_2_0_0_BETA_6_FOR_METACAT" />
+      <property name="eml2_0_0-schema-tag" value="RELEASE_EML_2_0_0_UPDATE_1" />
       <property name="eml2_0_1-schema-tag" value="RELEASE_EML_2_0_1" />
-      <property name="eml2_0_1-style-tag"  value="RELEASE_EML_2_0_1_UPDATE_7" />
    	  <property name="eml2_1_0-schema-tag" value="RELEASE_EML_2_1_0" />
-      <property name="eml2_1_0-style-tag"  value="RELEASE_EML_UTILS_0_9_0" />  	
+      <property name="eml2-style-tag"      value="RELEASE_EML_UTILS_0_9_0" />  
       <property name="eml2_0_0namespace"   value="eml://ecoinformatics.org/eml-2.0.0" />
       <property name="eml2_0_1namespace"   value="eml://ecoinformatics.org/eml-2.0.1" />
       <property name="eml2_1_0namespace"   value="eml://ecoinformatics.org/eml-2.1.0" />
@@ -398,11 +397,11 @@
      <echo>Enter CVS password: </echo>
      <cvs cvsRoot="${cvsroot}"
           package="${eml-module}"
-          tag="${eml-tag}"
-          dest="${build.tmp}/eml_${eml-tag}" />
+          tag="${eml-beta-tag}"
+          dest="${build.tmp}/eml_${eml-beta-tag}" />
      <mkdir dir="lib/dtd" />
      <copy todir="lib/dtd" filtering="yes">
-       <fileset dir="${build.tmp}/eml_${eml-tag}/${eml-module}">
+       <fileset dir="${build.tmp}/eml_${eml-beta-tag}/${eml-module}">
          <include name="*.dtd"/>
        </fileset>
        <mapper type="glob" from="eml-*.dtd" to="eml-*-${eml-version}.dtd" />
@@ -409,7 +408,7 @@
      </copy>
 
      <copy todir="${style-common-cvsrelpath}" filtering="yes">
-       <fileset dir="${build.tmp}/eml_${eml-tag}/${eml-module}/style">
+       <fileset dir="${build.tmp}/eml_${eml-beta-tag}/${eml-module}/style">
        <include name="**/*.xsl"/>
      </fileset>
      </copy>
@@ -420,11 +419,11 @@
      <echo>Enter CVS password: </echo>
      <cvs cvsRoot="${cvsroot}"
           package="${eml-module}"
-          tag="${eml2_0_0-tag}"
-          dest="${build.tmp}/eml_${eml2_0_0-tag}" />
+          tag="${eml2_0_0-schema-tag}"
+          dest="${build.tmp}/eml_${eml2_0_0-schema-tag}" />
      <mkdir dir="lib/schema/eml-2.0.0" />
      <copy todir="lib/schema/eml-2.0.0" filtering="yes">
-       <fileset dir="${build.tmp}/eml_${eml2_0_0-tag}/${eml-module}">
+       <fileset dir="${build.tmp}/eml_${eml2_0_0-schema-tag}/${eml-module}">
          <include name="*.xsd"/>
        </fileset>
 
@@ -436,7 +435,7 @@
 
      </copy>
      <!-- <antcall target="copyxsl">
-        <param name="cvs.tagname" value="${eml2_0_0-tag}" />
+        <param name="cvs.tagname" value="${eml2_0_0-schema-tag}" />
         <param name="dirname" value="eml-2.0.0" />
      </antcall> -->
    	
@@ -454,7 +453,7 @@
      </copy>
    	
    	<!-- Checkout eml201 again for given style sheet tag-->
-   	<echo>Enter CVS password: </echo>
+   	<!-- echo>Enter CVS password: </echo>
    	     <cvs cvsRoot="${cvsroot}"
    	          package="${eml-module}"
    	          tag="${eml2_0_1-style-tag}"
@@ -462,7 +461,7 @@
      <antcall target="copyxsl">
         <param name="cvs.tagname" value="${eml2_0_1-style-tag}" />
         <param name="dirname" value="eml-2.0.1" />
-     </antcall>
+     </antcall -->
 	
    	<!-- Checkout eml210 for given schema tag-->
      <echo>Enter CVS password: </echo>
@@ -481,11 +480,12 @@
    	<echo>Enter CVS password: </echo>
    	     <cvs cvsRoot="${cvsroot}"
    	          package="${eml-module}"
-   	          tag="${eml2_1_0-style-tag}"
-   	          dest="${build.tmp}/eml_${eml2_1_0-style-tag}" />
+   	          tag="${eml2-style-tag}"
+   	          dest="${build.tmp}/eml_${eml2-style-tag}" />
      <antcall target="copyxsl">
-        <param name="cvs.tagname" value="${eml2_1_0-style-tag}" />
-        <param name="dirname" value="eml-2.1.0" />
+        <param name="cvs.tagname" value="${eml2-style-tag}" />
+        <!-- param name="dirname" value="eml-2.1.0" / -->
+        <param name="dirname" value="eml-2" />
      </antcall>
    </target>
 
@@ -607,7 +607,7 @@
 	          package="${ecogrid-module}" dest="${ecogrid-module-dest-dir}"/>
    </target>  
 	
-   <target name="deploy-ecogrid" depends="clean-ecogrid-server-config-wsdd" if="enable.ecogrid" description="Automately generate wsdd for ecogrid service">
+   <!-- target name="deploy-ecogrid" depends="clean-ecogrid-server-config-wsdd" if="enable.ecogrid" description="Automately generate wsdd for ecogrid service">
    	 <ant antfile="build.xml" dir="${ecogrid-dir}" target ="deploy" inheritall="false">
    	   	 <property name="context" value="${metacat.context}"/>
    	   	 <property name="target" value="${ecogrid-target-name}"/>
@@ -615,7 +615,7 @@
    	     <property name="hostname" value="${ecogrid.hostname}"/>
    	     <property name="port" value="${config.port}"/>
    	 </ant>
-   </target>
+   </target -->
 	
    <target name="clean-ecogrid-server-config-wsdd" depends="init" description="Automately generate wsdd for ecogrid service">
       <delete file="${app.deploy.dir}/${metacat.context}/WEB-INF/server-config.wsdd"/>