Index: lib/style/skins/nrs/nrs.properties.metadata.xml
===================================================================
--- lib/style/skins/nrs/nrs.properties.metadata.xml	(revision 4872)
+++ lib/style/skins/nrs/nrs.properties.metadata.xml	(revision 4873)
@@ -9,10 +9,35 @@
 	</group>
 
 	<config>
+		<key>registry.config.base</key>
+		<label>LDAP Base</label>
+		<group>1</group>
+		<index>1</index>
+		<description>NRS LDAP base.</description>
+	</config>
+	
+	<config>
+		<key>registry.config.username</key>
+		<label>LDAP Username</label>
+		<group>1</group>
+		<index>2</index>
+		<description>NRS LDAP user name.</description>
+	</config>
+
+	<config>
+		<key>registry.config.password</key>
+		<label>LDAP Password</label>
+		<group>1</group>
+		<fieldType>password</fieldType>
+		<index>3</index>
+		<description>NRS LDAP password.</description>
+	</config>
+
+	<config>
 		<key>registry.show.siteList</key>
 		<label>Show Site List</label>
 		<group>1</group>
-		<index>1</index>
+		<index>4</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the site list in the registry.</description>
 		<helpFile>properties.html#registry.show.siteList</helpFile>
@@ -22,7 +47,7 @@
 		<key>registry.show.wgList</key>
 		<label>Show Work Group List</label>
 		<group>1</group>
-		<index>2</index>
+		<index>5</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the work group list in the registry.</description>
 		<helpFile>properties.html#registry.show.wgList</helpFile>
@@ -32,7 +57,7 @@
 		<key>registry.show.organization</key>
 		<label>Show Organization List</label>
 		<group>1</group>
-		<index>3</index>
+		<index>6</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the organization in the registry.</description>
 		<helpFile>properties.html#registry.show.organization</helpFile>
@@ -42,7 +67,7 @@
 		<key>registry.modules.taxonomic</key>
 		<label>Show Taxonomic Module</label>
 		<group>1</group>
-		<index>4</index>
+		<index>7</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the taxonmic section in the registry.</description>
 		<helpFile>properties.html#registry.modules.taxonomic</helpFile>
@@ -52,7 +77,7 @@
 		<key>registry.modules.method</key>
 		<label>Show Method Module</label>
 		<group>1</group>
-		<index>5</index>
+		<index>8</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the method section in the registry.</description>
 		<helpFile>properties.html#registry.modules.method</helpFile>
@@ -62,7 +87,7 @@
 		<key>registry.modules.spatial</key>
 		<label>Show Spatial Module</label>
 		<group>1</group>
-		<index>6</index>
+		<index>9</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the spatial section in the registry.</description>
 		<helpFile>properties.html#registry.modules.spatial</helpFile>
@@ -72,7 +97,7 @@
 		<key>registry.modules.keyword</key>
 		<label>Show Keyword Module</label>
 		<group>1</group>
-		<index>7</index>
+		<index>10</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the keyword section in the registry.</description>
 		<helpFile>properties.html#registry.modules.keyword</helpFile>
@@ -82,7 +107,7 @@
 		<key>registry.modules.temporal</key>
 		<label>Show Temporal Module</label>
 		<group>1</group>
-		<index>8</index>
+		<index>11</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the temporal section in the registry.</description>
 		<helpFile>properties.html#registry.modules.temporal</helpFile>
@@ -92,7 +117,7 @@
 		<key>registry.modules.upload</key>
 		<label>Show Upload Module</label>
 		<group>1</group>
-		<index>9</index>
+		<index>12</index>
 		<fieldType>checkbox</fieldType>
 		<description>Show the upload section in the registry.</description>
 		<helpFile>properties.html#registry.modules.upload</helpFile>
@@ -102,7 +127,7 @@
 		<key>registry.required.temporal</key>
 		<label>Temporal Value Required</label>
 		<group>1</group>
-		<index>10</index>
+		<index>13</index>
 		<fieldType>checkbox</fieldType>
 		<description>Determine if temporal value must be entered.</description>
 		<helpFile>properties.html#registry.required.temporal</helpFile>
@@ -112,7 +137,7 @@
 		<key>registry.required.spatial</key>
 		<label>Spatial Value Required</label>
 		<group>1</group>
-		<index>11</index>
+		<index>14</index>
 		<fieldType>checkbox</fieldType>
 		<description>Determine if spatial value must be entered.</description>
 		<helpFile>properties.html#registry.required.spatial</helpFile>
@@ -122,7 +147,7 @@
 		<key>registry.required.contactEmailAddress</key>
 		<label>Contact Email Address Required</label>
 		<group>1</group>
-		<index>12</index>
+		<index>15</index>
 		<fieldType>checkbox</fieldType>
 		<description>Determine if contact email address must be entered.</description>
 		<helpFile>properties.html#registry.required.contactEmailAddress</helpFile>
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 4872)
+++ lib/metacat.properties	(revision 4873)
@@ -66,6 +66,7 @@
 database.upgradeVersion.1.7.0=upgrade-db-to-1.7
 database.upgradeVersion.1.8.0=upgrade-db-to-1.8
 database.upgradeVersion.1.9.0=upgrade-db-to-1.9
+database.upgradeVersion.1.9.1=upgrade-db-to-1.9.1
 database.initialConnections=5
 database.incrementConnections=5
 database.maximumConnections=200
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 4872)
+++ src/loaddtdschema-oracle.sql	(revision 4873)
@@ -51,4 +51,4 @@
   VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.9.0',1,CURRENT_DATE);
+  VALUES ('1.9.1',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9.1-postgres.sql
===================================================================
--- src/upgrade-db-to-1.9.1-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-1.9.1-postgres.sql	(revision 4873)
@@ -0,0 +1,4 @@
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('1.9.1', 1, CURRENT_DATE);
\ No newline at end of file
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 4872)
+++ src/loaddtdschema-postgres.sql	(revision 4873)
@@ -51,4 +51,4 @@
   VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.9.0',1,CURRENT_DATE);
+  VALUES ('1.9.1',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9.1-oracle.sql
===================================================================
--- src/upgrade-db-to-1.9.1-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-1.9.1-oracle.sql	(revision 4873)
@@ -0,0 +1,4 @@
+UPDATE db_version SET status=0; 
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('1.9.1', 1, CURRENT_DATE);
Index: build.properties
===================================================================
--- build.properties	(revision 4872)
+++ build.properties	(revision 4873)
@@ -2,7 +2,7 @@
 
 #Version of this build.  This needs to be a dotted numeric version.  For
 #instance 1.9.1 is okay.  1.9.1_rc1 is not.
-metacat.version=1.9.0
+metacat.version=1.9.1
 
 #This is for packaging purposes.  leave it blank for final production release.
 metacat.releaseCandidate=-6
Index: README
===================================================================
--- README	(revision 4872)
+++ README	(revision 4873)
@@ -8,6 +8,15 @@
 Metacat: XML Metadata and Data Management System
 ------------------------------------------------
 
+Version: 1.9.1 Release
+
+Send feedback and bugs to: metacat-dev@ecoinformatics.org
+                           http://bugzilla.ecoinformatics.org
+                           
+The 1.9.1 release holds the bug fixes found after releasing 1.9.0 beta.  
+These bugs were primarily replication issues.  There is no difference 
+in functionality between 1.9.0 and 1.9.1                          
+
 Version: 1.9.0 Release
 
 Send feedback and bugs to: metacat-dev@ecoinformatics.org
Index: build.xml
===================================================================
--- build.xml	(revision 4872)
+++ build.xml	(revision 4873)
@@ -566,7 +566,7 @@
 
     </target>
 
-   <target name="install" depends="clean, build-metacat" description="* Full Install For Development *">
+   <target name="install" depends="build-metacat" description="* Full Install For Development *">
      <copy file="${dist.dir}/${metacat.context}.war" todir="${app.deploy.dir}"/>
    	 <delete dir="${app.deploy.dir}/${metacat.context}" />
    	   <tstamp>