Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 4974)
+++ lib/metacat.properties	(revision 4975)
@@ -68,6 +68,7 @@
 database.upgradeVersion.1.8.0=upgrade-db-to-1.8
 database.upgradeVersion.1.9.0=upgrade-db-to-1.9
 database.upgradeVersion.1.9.1=upgrade-db-to-1.9.1
+database.upgradeVersion.1.9.2=upgrade-db-to-1.9.2
 database.initialConnections=5
 database.incrementConnections=5
 database.maximumConnections=200
Index: src/xmltables-oracle.sql
===================================================================
--- src/xmltables-oracle.sql	(revision 4974)
+++ src/xmltables-oracle.sql	(revision 4975)
@@ -576,3 +576,58 @@
 END;
 /
 
+/*
+ * scheduled_job -- table to store scheduled jobs
+ */
+CREATE TABLE scheduled_job (
+  id NUMBER(20) NOT NULL default nextval('scheduled_job_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP NOT NULL,
+  status VARCHAR2(64) NOT NULL,
+  name VARCHAR2(512) NOT NULL,
+  trigger_name VARCHAR2(512) NOT NULL,
+  group_name VARCHAR2(512) NOT NULL,
+  class_name VARCHAR2(1024) NOT NULL,
+  start_time TIMESTAMP NOT NULL,
+  interval_value NUMBER NOT NULL,
+  interval_unit VARCHAR2(8) NOT NULL,
+  CONSTRAINT scheduled_job_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_uk UNIQUE (name)
+);
+
+CREATE SEQUENCE scheduled_job_id_seq;
+CREATE TRIGGER scheduled_job_before_insert
+BEFORE INSERT ON scheduled_job FOR EACH ROW
+BEGIN
+  SELECT scheduled_job_id_seq.nextval
+    INTO :new.id
+    FROM dual;
+END;
+/
+
+/*
+ * scheduled_job_params -- table to store scheduled job parameters
+ */
+CREATE TABLE scheduled_job_params (
+  id NUMBER(20)  NOT NULL default nextval('scheduled_job_params_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP  NOT NULL,
+  status VARCHAR2(64)  NOT NULL,
+  job_id NUMBER(20) NOT NULL,
+  key VARCHAR2(64) NOT NULL,
+  value VARCHAR2(1024) NOT NULL,
+  CONSTRAINT scheduled_job_params_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_params_fk
+        FOREIGN KEY (job_id) REFERENCES scheduled_job(id)
+);
+
+CREATE SEQUENCE scheduled_job_params_id_seq;
+CREATE TRIGGER scheduled_job_params_before_insert
+BEFORE INSERT ON scheduled_job_params FOR EACH ROW
+BEGIN
+  SELECT scheduled_job_id_params_seq.nextval
+    INTO :new.id
+    FROM dual;
+END;
+/
+
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 4974)
+++ src/loaddtdschema-oracle.sql	(revision 4975)
@@ -51,4 +51,4 @@
   VALUES ('Schema', '/schema/RegistryService/RegistryEntryType.xsd', '/schema/RegistryService/RegistryEntryType.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.9.1',1,CURRENT_DATE);
+  VALUES ('1.9.2',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9.2-oracle.sql
===================================================================
--- src/upgrade-db-to-1.9.2-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-1.9.2-oracle.sql	(revision 4975)
@@ -0,0 +1,64 @@
+/*
+ * scheduled_job -- table to store scheduled jobs
+ */
+CREATE TABLE scheduled_job (
+  id NUMBER(20) NOT NULL default nextval('scheduled_job_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP NOT NULL,
+  status VARCHAR2(64) NOT NULL,
+  name VARCHAR2(512) NOT NULL,
+  trigger_name VARCHAR2(512) NOT NULL,
+  group_name VARCHAR2(512) NOT NULL,
+  class_name VARCHAR2(1024) NOT NULL,
+  start_time TIMESTAMP NOT NULL,
+  interval_value NUMBER NOT NULL,
+  interval_unit VARCHAR2(8) NOT NULL,
+  CONSTRAINT scheduled_job_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_uk UNIQUE (name)
+);
+
+CREATE SEQUENCE scheduled_job_id_seq;
+CREATE TRIGGER scheduled_job_before_insert
+BEFORE INSERT ON scheduled_job FOR EACH ROW
+BEGIN
+  SELECT scheduled_job_id_seq.nextval
+    INTO :new.id
+    FROM dual;
+END;
+/
+
+/*
+ * scheduled_job_params -- table to store scheduled job parameters
+ */
+CREATE TABLE scheduled_job_params (
+  id NUMBER(20)  NOT NULL default nextval('scheduled_job_params_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP  NOT NULL,
+  status VARCHAR2(64)  NOT NULL,
+  job_id NUMBER(20) NOT NULL,
+  key VARCHAR2(64) NOT NULL,
+  value VARCHAR2(1024) NOT NULL,
+  CONSTRAINT scheduled_job_params_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_params_fk
+        FOREIGN KEY (job_id) REFERENCES scheduled_job(id)
+);
+
+CREATE SEQUENCE scheduled_job_params_id_seq;
+CREATE TRIGGER scheduled_job_params_before_insert
+BEFORE INSERT ON scheduled_job_params FOR EACH ROW
+BEGIN
+  SELECT scheduled_job_id_params_seq.nextval
+    INTO :new.id
+    FROM dual;
+END;
+/
+
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('1.9.2', 1, CURRENT_DATE);
+
+UPDATE db_version SET status=0; 
Index: src/xmltables-postgres.sql
===================================================================
--- src/xmltables-postgres.sql	(revision 4974)
+++ src/xmltables-postgres.sql	(revision 4975)
@@ -427,3 +427,40 @@
   date_created    TIMESTAMP,        -- the datetime on which the version was created
   CONSTRAINT db_version_pk PRIMARY KEY (db_version_id)
 );
+
+/*
+ * scheduled_job -- table to store scheduled jobs
+ */
+CREATE SEQUENCE scheduled_job_id_seq;
+CREATE TABLE scheduled_job (
+  id INT8 NOT NULL default nextval('scheduled_job_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP NOT NULL,
+  status VARCHAR(64) NOT NULL,
+  name VARCHAR(512) NOT NULL,
+  trigger_name VARCHAR(512) NOT NULL,
+  group_name VARCHAR(512) NOT NULL,
+  class_name VARCHAR(1024) NOT NULL,
+  start_time TIMESTAMP NOT NULL,
+  interval_value INT NOT NULL,
+  interval_unit VARCHAR(8) NOT NULL,
+  CONSTRAINT scheduled_job_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_uk UNIQUE (name)
+);
+
+/*
+ * scheduled_job_params -- table to store scheduled jobs
+ */
+CREATE SEQUENCE scheduled_job_params_id_seq;
+CREATE TABLE scheduled_job_params (
+  id INT8  NOT NULL default nextval('scheduled_job_params_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP  NOT NULL,
+  status VARCHAR(64)  NOT NULL,
+  job_id INT8 NOT NULL,
+  key VARCHAR(64) NOT NULL,
+  value VARCHAR(1024) NOT NULL,
+  CONSTRAINT scheduled_job_params_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_params_fk
+        FOREIGN KEY (job_id) REFERENCES scheduled_job(id)
+);
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 4974)
+++ src/loaddtdschema-postgres.sql	(revision 4975)
@@ -51,4 +51,4 @@
   VALUES ('Schema', 'http://ecoinformatics.org/registryentry-1.0.0', '/schema/RegistryService/RegistryEntryType.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('1.9.1',1,CURRENT_DATE);
+  VALUES ('1.9.2',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9.2-postgres.sql
===================================================================
--- src/upgrade-db-to-1.9.2-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-1.9.2-postgres.sql	(revision 4975)
@@ -0,0 +1,45 @@
+/*
+ * scheduled_job -- table to store scheduled jobs
+ */
+CREATE SEQUENCE scheduled_job_id_seq;
+CREATE TABLE scheduled_job (
+  id INT8 NOT NULL default nextval('scheduled_job_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP NOT NULL,
+  status VARCHAR(64) NOT NULL,
+  name VARCHAR(512) NOT NULL,
+  trigger_name VARCHAR(512) NOT NULL,
+  group_name VARCHAR(512) NOT NULL,
+  class_name VARCHAR(1024) NOT NULL,
+  start_time TIMESTAMP NOT NULL,
+  interval_value INT NOT NULL,
+  interval_unit VARCHAR(8) NOT NULL,
+  CONSTRAINT scheduled_job_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_uk UNIQUE (name)
+);
+
+/*
+ * scheduled_job_params -- table to store scheduled job parameters
+ */
+CREATE SEQUENCE scheduled_job_params_id_seq;
+CREATE TABLE scheduled_job_params (
+  id INT8  NOT NULL default nextval('scheduled_job_params_id_seq'),
+  date_created TIMESTAMP NOT NULL,
+  date_updated TIMESTAMP  NOT NULL,
+  status VARCHAR(64)  NOT NULL,
+  job_id INT8 NOT NULL,
+  key VARCHAR(64) NOT NULL,
+  value VARCHAR(1024) NOT NULL,
+  CONSTRAINT scheduled_job_params_pk PRIMARY KEY (id),
+  CONSTRAINT scheduled_job_params_fk
+        FOREIGN KEY (job_id) REFERENCES scheduled_job(id)
+);
+
+
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('1.9.2', 1, CURRENT_DATE);
\ No newline at end of file
Index: src/edu/ucsb/nceas/metacat/admin/DBAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/DBAdmin.java	(revision 4974)
+++ src/edu/ucsb/nceas/metacat/admin/DBAdmin.java	(revision 4975)
@@ -415,7 +415,9 @@
 
 			String dbVersionString = null;
 
-			if (is1_9_0(connection)) {
+			if (is1_9_1(connection)) {
+				dbVersionString = "1.9.1";
+			} else if (is1_9_0(connection)) {
 				dbVersionString = "1.9.0";
 			} else if (is1_8_0(connection)) {
 				dbVersionString = "1.8.0";
@@ -538,6 +540,21 @@
 	private boolean is1_9_0(Connection connection) throws SQLException {
 		return DBUtil.tableExists(connection, "db_version");
 	}
+	
+	/**
+	 * Checks to see if this is a 1.9.1 database schema by looking for the
+	 * scheduled_job table which was created for 1.9.0. Note, there is no guarantee
+	 * that this table will not be removed in subsequent versions. You should
+	 * search for db versions from newest to oldest, only getting to this
+	 * function when newer versions have not been matched.
+	 * 
+	 * @param dbMetaData
+	 *            the meta data for this database.
+	 * @returns boolean which is true if table is found, false otherwise
+	 */
+	private boolean is1_9_1(Connection connection) throws SQLException {
+		return DBUtil.tableExists(connection, "db_version");
+	}
 
 	/**
 	 * Checks to see if this is a 1.8.0 database schema by looking for the
Index: build.properties
===================================================================
--- build.properties	(revision 4974)
+++ build.properties	(revision 4975)
@@ -2,7 +2,7 @@
 
 #Version of this build.  This needs to be a dotted numeric version.  For
 #instance 1.9.1 is okay.  1.9.1_rc1 is not.
-metacat.version=1.9.1
+metacat.version=1.9.2
 
 #This is for packaging purposes.  leave it blank for final production release.
 metacat.releaseCandidate=-6